﻿@model TopicViewModel

<div style="display: flex; gap: 20px;">
    @{
        if (TempData.Peek("ForumID") != null)
        {
            <a asp-controller="Forum" asp-action="Details" asp-route-id="@TempData.Peek("ForumID")">Вернуться к списку тем</a>
        }
    }
</div>

<div style="display: flex; align-items: center; justify-content: space-between">
    <div>
        <h4>Тема создана: @Model.Created</h4>
        <h1>Название темы - @Model.Name</h1>
    </div>
    <div>
        <a class="btn btn-success" asp-controller="Message" asp-action="Create" asp-route-id="@Model.Id">Новое сообщение</a>
    </div>
</div>

<div>
    <h4>Описание темы - @Model.Description</h4>
</div>


<div class="list-group">
    @foreach (var message in Model.Messages) 
    {
        <div class="list-group-item">
            <div style="display: flex; justify-content: space-between;">
                <div style="display: flex; gap: 20px;">
                    Создано: @message.Created
                    @if (!(message.Modified is null))
                    {
                        <div>Изменено: @message.Modified</div>
                    }
                </div>
                
                <div style="display: flex;">
                    <a class="btn btn-success" asp-controller="Message" asp-action="Edit" asp-route-id="@message.Id">Изменить</a>
                       
                    <a class="btn btn-success" asp-controller="Message" asp-action="Delete" asp-route-id="@message.Id">Удалить</a>
                </div>
            </div>
            <div style="display: flex; gap: 10px;">
                @foreach (var attachment in message.Attachments) 
                {
                    <img src="@attachment.FilePath" alt="@attachment.FileName" class="msg_image"/>
                }
            </div>
            <div>
                @message.Text
            </div>
        </div>
    }
</div>

